package org.eclipse.jdt.internal.compiler.ast;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import org.eclipse.jdt.internal.compiler.ASTVisitor;
import org.eclipse.jdt.internal.compiler.ast.LambdaExpression;
import org.eclipse.jdt.internal.compiler.ast.ReturnStatement;
import org.eclipse.jdt.internal.compiler.ast.TypeDeclaration;
import org.eclipse.jdt.internal.compiler.lookup.BlockScope;
import org.eclipse.jdt.internal.compiler.lookup.ClassScope;

class ShapeComputer extends ASTVisitor {
  public boolean visit(TypeDeclaration type, BlockScope skope) {
    return false;
  }
  
  public boolean visit(TypeDeclaration type, ClassScope skope) {
    return false;
  }
  
  public boolean visit(LambdaExpression type, BlockScope skope) {
    return false;
  }
  
  public boolean visit(ReturnStatement returnStatement, BlockScope skope) {
    if (returnStatement.expression != null) {
      LambdaExpression.this.valueCompatible = true;
      LambdaExpression.this.voidCompatible = false;
      LambdaExpression.this.returnsValue = true;
    } else {
      LambdaExpression.this.voidCompatible = true;
      LambdaExpression.this.valueCompatible = false;
      LambdaExpression.this.returnsVoid = true;
    } 
    return false;
  }
}
